//!OpenSCAD

include <C:/Users/willa/OneDrive/Documents/RapCAD/Libraries/gcodepreview.scad>
include <C:/Users/willa/OneDrive/Documents/RapCAD/Libraries/gcp_joinery.scad>

generategcode = false;

Stock_Width = 150;
Stock_Length = 219;
Stock_Thickness = 8.35;
Origin = "Lower-Left";
Zero_Height = "Bottom";
Horizontal_Joint_Size = 45;
Number_of_Vertical_Pins = 5;
Vertical_Joint_Size = 45;
Number_of_Horizontal_Pins = 5;
V_passes = 6;
Tool_Diameter = 3.175;
Ball_Nose_Tool_No = 101;
V_endmill_Tool_No = 390;
Square_endmill_Tool_No = 102;
Units = 1;
Arc_Detail = 3;
$fn=32;

Joint_Offset = Tool_Diameter * 1.1023622 - Tool_Diameter;
sw = Stock_Width * Units;
sl = Stock_Length * Units;
st = Stock_Thickness * Units;
jo = Joint_Offset * Units;
td = Tool_Diameter * Units;
hjs = Horizontal_Joint_Size * Units;
vjs = Vertical_Joint_Size * Units;
jw = jo + td;
tr = td / 2;
item = 0;
difference() {
  placestock();

  union(){
    verticaljoint(20, 50, 8.35, 20, 95, 0, vjs, "even", "both");
    verticaljoint(65, 5, 8.35, 65, 50, 0, vjs, "even", "both");
    verticaljoint(65, 50, 8.35, 65, 95, 0, vjs, "both", "both");
    verticaljoint(65, 95, 8.35, 65, 140, 0, vjs, "even", "both");
    verticaljoint(110, 5, 8.35, 110, 50, 0, vjs, "odd", "both");
    verticaljoint(110, 50, 8.35, 110, 95, 0, vjs, "both", "both");
    verticaljoint(110, 95, 8.35, 110, 140, 0, vjs, "odd", "both");
    verticaljoint(155, 50, 8.35, 155, 95, 0, vjs, "both", "both");
    verticaljoint(200, 50, 8.35, 200, 95, 0, vjs, "odd", "both");
    horizontaljoint(20, 50, 8.35, 65, 50, 0, hjs, "even", "both");
    horizontaljoint(65, 5, 8.35, 110, 5, 0, hjs, "even", "both");
    horizontaljoint(65, 50, 8.35, 110, 50, 0, hjs, "both", "both");
    horizontaljoint(110, 50, 8.35, 155, 50, 0, hjs, "even", "both");
    horizontaljoint(155, 50, 8.35, 200, 50, 0, hjs, "even", "both");
    horizontaljoint(20, 95, 8.35, 65, 95, 0, hjs, "odd", "both");
    horizontaljoint(65, 95, 8.35, 110, 95, 0, hjs, "both", "both");
    horizontaljoint(110, 95, 8.35, 155, 95, 0, hjs, "odd", "both");
    horizontaljoint(155, 95, 8.35, 200, 95, 0, hjs, "odd", "both");
    horizontaljoint(65, 140, 8.35, 110, 140, 0, hjs, "odd", "both");
  }
}
